Skip to content

# Interface: KubeObjectMenuRegistration

## Hierarchy

- KubeObjectMenuRegistration

## Index

### Properties

- apiVersions
- components
- kind

## Properties

### apiVersions

• apiVersions: string[]

Defined in src/extensions/registries/kube-object-menu-registry.ts:10

### components

• components: KubeObjectMenuComponents

Defined in src/extensions/registries/kube-object-menu-registry.ts:11

### kind

• kind: string

Defined in src/extensions/registries/kube-object-menu-registry.ts:9